public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/seafile/
Date: Sun, 31 Oct 2021 06:37:47 +0000 (UTC)	[thread overview]
Message-ID: <1635662056.4dc03a2debccab4210d9e0c98ee0ca404471cd92.juippis@gentoo> (raw)

commit:     4dc03a2debccab4210d9e0c98ee0ca404471cd92
Author:     Quentin Retornaz <gentoo <AT> retornaz <DOT> com>
AuthorDate: Fri Oct  8 18:54:26 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Oct 31 06:34:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4dc03a2d

net-misc/seafile: version bump to 8.0.4

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Quentin Retornaz <gentoo <AT> retornaz.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-misc/seafile/Manifest             |  1 +
 net-misc/seafile/seafile-8.0.4.ebuild | 57 +++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/net-misc/seafile/Manifest b/net-misc/seafile/Manifest
index d01dd286827..6555bb0989f 100644
--- a/net-misc/seafile/Manifest
+++ b/net-misc/seafile/Manifest
@@ -1,3 +1,4 @@
 DIST seafile-8.0.1.tar.gz 731105 BLAKE2B ac4b79112e40196cce2dbc64bb94a852b3f81ea08e0a833d45a297c02f5f66432345647b9a34aef67d8108d16eb5e3648002a070bb556a70be63b8c0314af9bb SHA512 dd6366c06bfa25f16f5d3b2ef83b39b5886e834697891c274a3b4eafec3aabf72858dd4d341452e8d4fb8cd1166d30bb8a783dddb4370c02526e3a00ed9fdb3c
 DIST seafile-8.0.2.tar.gz 732341 BLAKE2B 29bf3187a37c0f01261d3afba996e1165ddebe05a36f734fd3d7ee5d0368ae2f94b70cd9251799ddeeea2318c510094b7b2fe917ce06a6328aca00f378dcb9ae SHA512 772dfb060e381eb2395b7ab094e11865f13e71f8c767d31e4ca8b48eaadf74d5d447298ea261f9cd48ff126828829c8d258ca943b01890f72072a36753d8333b
 DIST seafile-8.0.3.tar.gz 738066 BLAKE2B 302de3b5a4f465429955d2819c7b43ddb305cccc76cc7cf67885a75747ec5dcad85d17f94975abdd3b3d54d49a5d9ea05ab7947c3a2b84764b50fe5fb10e7636 SHA512 c51edfc094aa509c730b1b3f4ceb911461081689c8cc2564fb866cddaa54c445d9ad12ca9e4e90e98b771eafc6b6e1496e052538a2475a03642cdceb9212115a
+DIST seafile-8.0.4.tar.gz 738250 BLAKE2B 5502160519144764de16fe50ccc922dd2bce43571aa3485758c23667cb1546e60683f2fe7778c5da6c7a4c18d78f544e72a40ba6857a58cec3fa2b817d7e5d82 SHA512 9dad4a4bd288598dbfea316002d0570d759274b55479432f528f78f3a241d6ec826960d65ab5ec5ea4eeca27586398e0db5b76cbbbed27ca3dbd3ac2fd2d7060

diff --git a/net-misc/seafile/seafile-8.0.4.ebuild b/net-misc/seafile/seafile-8.0.4.ebuild
new file mode 100644
index 00000000000..875d39827f6
--- /dev/null
+++ b/net-misc/seafile/seafile-8.0.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} )
+
+RELEASE_COMMIT="d01b8de6d378c69525e6ed57b84bd22579b96444"
+
+inherit autotools python-single-r1 vala
+
+DESCRIPTION="File syncing and sharing software with file encryption and group sharing"
+HOMEPAGE="https://www.seafile.com/ https://github.com/haiwen/seafile/"
+SRC_URI="https://github.com/haiwen/${PN}/archive/${RELEASE_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	$(python_gen_cond_dep '
+		dev-python/future[${PYTHON_USEDEP}]
+	')
+	dev-libs/openssl:=
+	dev-db/sqlite:3
+	dev-libs/glib:2
+	dev-libs/jansson:=
+	dev-libs/libevent:=
+	net-libs/libsearpc[${PYTHON_SINGLE_USEDEP}]
+	net-misc/curl
+	sys-libs/zlib"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+	$(vala_depend)"
+
+S="${WORKDIR}/${PN}-${RELEASE_COMMIT}"
+
+src_prepare() {
+	default
+	eautoreconf
+	vala_src_prepare
+}
+
+src_configure() {
+	local myeconfargs=(
+		--disable-static
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	# Remove unnecessary .la files
+	find "${ED}" -name '*.la' -delete || die
+	python_fix_shebang "${ED}"/usr/bin/seaf-cli
+}


             reply	other threads:[~2021-10-31  6:37 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-31  6:37 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-02 19:41 [gentoo-commits] repo/gentoo:master commit in: net-misc/seafile/ Sam James
2024-02-02  7:43 Joonas Niilola
2023-12-24 19:21 Sam James
2023-12-24 19:21 Sam James
2023-12-04  9:25 Viorel Munteanu
2023-07-26  7:20 Joonas Niilola
2023-07-26  7:20 Joonas Niilola
2023-05-28 11:37 Joonas Niilola
2023-05-18 10:42 Joonas Niilola
2023-03-22  5:45 Sam James
2023-03-19  4:48 Sam James
2023-03-19  3:22 Sam James
2023-03-19  3:22 Sam James
2023-03-17 15:52 Sam James
2023-03-17 14:09 Sam James
2023-03-16 23:54 Sam James
2023-03-05  7:33 Joonas Niilola
2023-01-12 13:08 Joonas Niilola
2022-11-23 17:55 Joonas Niilola
2022-11-23 17:55 Joonas Niilola
2022-09-01  6:27 Joonas Niilola
2022-05-26 12:58 Joonas Niilola
2022-04-07 20:58 Jakov Smolić
2022-04-03  9:34 Matthew Smith
2022-04-03  9:34 Matthew Smith
2022-04-03  9:34 Matthew Smith
2022-01-06  0:26 Ionen Wolkens
2021-10-31  6:37 Joonas Niilola
2021-10-26  6:52 Arthur Zamarin
2021-08-04 14:46 David Seifert
2021-07-26 21:56 Conrad Kostecki
2021-07-08 23:08 Ionen Wolkens
2021-05-02 12:09 Mikle Kolyada
2021-04-11  7:43 Joonas Niilola
2021-03-20  8:25 Joonas Niilola
2021-01-24  8:09 Joonas Niilola
2021-01-24  8:09 Joonas Niilola
2020-11-12  8:41 Joonas Niilola
2020-10-07  0:26 Sam James
2020-10-06  8:15 Joonas Niilola
2020-10-06  8:15 Joonas Niilola
2020-09-29 10:26 Joonas Niilola
2020-09-19 11:28 Michał Górny
2020-08-30  8:18 Joonas Niilola
2020-05-07 15:17 Michał Górny
2020-02-09 16:34 Michał Górny
2020-02-06 14:35 Joonas Niilola
2019-12-18 16:32 Joonas Niilola
2019-10-16  5:22 Joonas Niilola
2019-07-15 17:24 Michał Górny
2019-07-01  1:24 Jonas Stein
2018-08-09  8:40 Michał Górny
2018-04-11 21:47 Patrice Clement
2018-04-11 21:47 Patrice Clement
2018-01-11 22:54 Patrice Clement
2017-11-15 22:13 Patrice Clement
2017-08-06 11:55 Michał Górny
2017-07-01 21:11 Michał Górny
2017-05-20 18:55 Michał Górny
2017-04-17  0:20 Patrice Clement
2017-04-13 21:20 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635662056.4dc03a2debccab4210d9e0c98ee0ca404471cd92.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox